﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GetOpenSearchDef.aspx.cs"
    Inherits="FederatedSearchSL.Web.GetOpenSearchDef" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Add new search providers to Windows 7</title>
    <style type="text/css">
        p
        {
            margin-top: 0em;
            margin-bottom: 1em;
            line-height: 140%;
        }
    </style>
    <script type="text/javascript" src="Silverlight.js"></script>
    <script type="text/javascript">
        function onSilverlightError(sender, args) {
            alert("Silverlight application error");
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div style="margin: auto; width: 810px; background-color: #CDCDCD; border: 2px ridge black;">
        <h1 style="background-color: Black; color: White; text-align: center; ">
            Add Search Connectors to Windows 7</h1>
        <div style="font-size: 15px">
            <p>
                To add a connector to the Windows 7 Search box, click the provider&#39;s link below.
                After selecting a provider, you will be need to click Add in the <b>Add Search Connector</b>
                dialog.</p>
            <table width="800">
                <tr>
                    <th width="31%">
                        Microsoft Search
                    </th>
                    <th width="31%">
                        Topic Search
                    </th>
                    <th width="6%">
                    </th>
                    <th width="36%">
                        Create Your Own
                    </th>
                </tr>
                <tr>
                    <td valign="top" width="31%">
                        <table>
                            <tr style="height: 30">
                                <td>
                                    <img alt="Bing logo" src="http://www.bing.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/bing.osdx">Bing </a>
                                    <br />
                                    Bing. Search by Microsoft.
                                </td>
                            </tr>
                            <tr style="height: 30">
                                <td>
                                    <img alt="MSDN logo" src="http://msdn.microsoft.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/msdn.osdx">MSDN </a>
                                    <br />
                                    Microsoft Developer Network
                                </td>
                            </tr>
                            <tr style="height: 30">
                                <td>
                                    <img alt="Technet Edge" src="http://edge.technet.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/TechnetEdge.osdx">Technet Edge</a><br />
                                    Where IT professionals get the inside scoop
                                </td>
                            </tr>
                            <tr style="height: 30">
                                <td>
                                    <img alt="Technet" src="http://technet.microsoft.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/Technet.osdx">Technet </a>
                                    <br />
                                    Resources for IT professionals
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td valign="top" width="31%">
                        <table>
                            <tr style="height: 30px">
                                <td>
                                    <img alt="YouTube logo" src="http://www.youtube.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/YouTube.osdx">YouTube</a><br />
                                    Broadcast yourself
                                </td>
                            </tr>
                            <tr style="height: 30">
                                <td>
                                    <img alt="Digg logo" src="http://www.digg.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/Digg.osdx">Digg </a>
                                    <br />
                                    Discover and share content
                                </td>
                            </tr>
                            <tr style="height: 30">
                                <td>
                                    <img alt="eBay logo" src="http://www.ebay.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/ebay.osdx">eBay</a><br />
                                    Shop victoriously!
                                </td>
                            </tr>
                            <tr style="height: 30">
                                <td>
                                    <img alt="Twitter" src="http://www.twitter.com/favicon.ico" />
                                </td>
                                <td>
                                    <a href="osdx/twitter.osdx">Twitter</a><br />
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td width="6%">
                    </td>
                    <td valign="top">
                        <p>
                            Step 1: Fill out the fields to create a custom search provider:</p>
                        <div id="CreateYourOwnSearchProvider" style="background-color: #BADAFB; width: 385px;
                            height: 285px">
                            <object data="data:application/x-silverlight-2," type="application/x-silverlight-2"
                                width="100%" height="100%">
                                <param name="source" value="ClientBin/FederatedSearch.xap" />
                                <param name="onError" value="onSilverlightError" />
                                <param name="background" value="white" />
                                <param name="minRuntimeVersion" value="3.0.40624.0" />
                                <param name="autoUpgrade" value="true" />
                                <a href="http://go.microsoft.com/fwlink/?LinkID=149156&v=3.0.40624.0" style="text-decoration: none">
                                    <img src="http://go.microsoft.com/fwlink/?LinkId=108181" alt="Get Microsoft Silverlight"
                                        style="border-style: none" />
                                </a>
                            </object>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td /><td /><td />
                    <td>
                        <p>
                            Step 2: When <b>Add Search Connector</b> appears, click <b>Add</b>:
                            <img alt="Add Search Connector" src="AddSearchConnector.png" style="padding: 2px;
                            border-style: groove; border-color: #000000;" />
                        </p>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    </form>
</body>
</html>
